Avaya Client Services API Reference (OS X)

- Main Page
- Classes
- Files
- Related Pages

- Class List
- Class Index
- Class Hierarchy
- Class Members

Class Methods | Properties | List of all members
CSRegistrationGroup Class Reference

A group of signaling servers to register with simultaneously. More...

`#import <CSRegistrationGroup.h>`

Inherits NSObject.

## Class Methods
(instancetype) | + registrationGroupWithSignalingServers:simultaneousRegistrationLimit:
| Returns a new registration group with the specified servers and registration limit. More...
(instancetype) | + registrationGroupWithSignalingServers:
| Returns a new registration group with the specified servers. More...
(instancetype) | + registrationGroupWithSignalingServer:
| Returns a new registration group with the specified server. More...

## Properties
NSArray * | servers
| Array of `CSSignalingServer` instances in this group, in priority order. More...
NSUInteger | simultaneousRegistrationLimit
| The maximum number of servers in this group to register with at once. More...

## Detailed Description

A group of signaling servers to register with simultaneously.

## Method Documentation

+ (instancetype) registrationGroupWithSignalingServer: |  | (CSSignalingServer *) | server |

Returns a new registration group with the specified server.

Parameters

  server | The signaling server to use in the group.

+ (instancetype) registrationGroupWithSignalingServers: |  | (NSArray *) | servers |

Returns a new registration group with the specified servers.

Parameters

  servers | Array of `CSSignalingServer` instances to include in the group, in priority order. Although registration with servers in the group will occur simultaneously, operations other than registration will be performed against servers in priority order.

+ (instancetype) registrationGroupWithSignalingServers: |  | (NSArray *) | servers
simultaneousRegistrationLimit: |  | (NSUInteger) | simultaneousRegistrationLimit

Returns a new registration group with the specified servers and registration limit.

Parameters

  servers | Array of `CSSignalingServer` instances to include in the group, in priority order. Although registration with servers in the group will occur simultaneously, operations other than registration will be performed against servers in priority order.
  simultaneousRegistrationLimit | The maximum number of servers to allow simultaneous registration with. If this value is less than the number of servers in the group, the servers will be registered with in priority order. Registration to the remaining servers will only be attempted if connections to higher-priority servers are lost.

## Property Documentation

- (NSArray*) servers
| read nonatomic copy

Array of `CSSignalingServer` instances in this group, in priority order.

- (NSUInteger) simultaneousRegistrationLimit
| read nonatomic assign

The maximum number of servers in this group to register with at once.

The documentation for this class was generated from the following file:

- CSRegistrationGroup.h